@import url("https://maxcdn.bootstrapcdn.com/font-awesome/4.6.1/css/font-awesome.min.css");
@import url("https://fonts.googleapis.com/css?family=Raleway:400,900,500,600,700");
@import url("https://fonts.googleapis.com/css?family=BioRhyme:200");
@import url("https://fonts.googleapis.com/css?family=Fira+Mono:400,700");
@import url("https://fonts.googleapis.com/css?family=Inconsolata:400,700");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

a:hover, a:focus {
  color: #66a3ff;
  text-decoration: none;
}

:root {
  font-size: calc(1vw + 1vh + .5vmin);
}

body {
  color: white;
  background-color: blue;
  -webkit-font-smoothing: antialiased;
  font-family: 'BioRhyme';
  position: relative;
}

header {
  background-color: blue;
  height: 100vh;
  position: relative;
}

.titanic {
  font-size: 100px;
  font-weight: 200;
  font-family: 'BioRhyme', serif;
  opacity: 1;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  color: white;
}

nav {
  padding-top: 30px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-color: white;
  text-align: center;
  -webkit-transform: translateX(-100%);
          transform: translateX(-100%);
}

.inner {
  -webkit-transform: translateX(0);
          transform: translateX(0);
  transition: -webkit-transform 0.5s cubic-bezier(0.55, 0.07, 1, 0.02);
  transition: transform 0.5s cubic-bezier(0.55, 0.07, 1, 0.02);
  transition: transform 0.5s cubic-bezier(0.55, 0.07, 1, 0.02), -webkit-transform 0.5s cubic-bezier(0.55, 0.07, 1, 0.02);
}
.inner.open {
  -webkit-transform: translateX(100%);
          transform: translateX(100%);
}

.fa-times {
  position: absolute;
  top: 35px;
  right: 10%;
  font-size: 36px;
  color: blue;
  cursor: pointer;
  z-index: 9999;
}

.fa-bars {
  font-size: 36px;
  position: absolute;
  top: 5%;
  left: 5%;
  cursor: pointer;
}

.outer {
  overflow: hidden;
  position: relative;
}

.underline {
  height: 2px;
  width: 0;
  margin: 0 auto;
  background-color: blue;
}

.nav-link {
  font-size: 46px;
  letter-spacing: 1px;
  display: block;
  color: blue;
  font-family: "BioRhyme";
  padding: 5px 0;
  margin: 25px 0;
}

.elenco {
  font-size: 30px;
  letter-spacing: 1px;
  display: block;
  color: blue;
  font-family: "Inconsolata";
  padding: 15px;
  margin: 30px;
}

main {

  padding-top: 20px;
  background-color: #fff;
  text-align: center;
  font-size: 80px;
}

#intro {
  width: 100%;
  text-align: left;
  font-size: 30px;
  font-family: "Inconsolata",serif;
  color: blue;
}

.skills-sec {
  position: relative;
  background-color: #fff;
}

h2 {
  color: black;
  text-align: center;
  margin: 30px 0;
  font-size: 30px;
  font-weight: 700;
  font-family: "BioRhyme";
  border-top: 3px solid #333;
  border-bottom: 3px solid #333;
  padding: 20px 0;
}

p {
  color: blue;
  text-align: left;
  margin: 30px 0;
  font-family: "Inconsolata";
  font-size: 30px;
  font-weight: 500;
  padding: 5px 0;
}

p1 {
  color: white;
  text-align: left;
  font-family: "Inconsolata";
  font-size: 30px;
  font-weight: 500;
  padding-bottom: 30px;
  padding-top:70px;
}

.copyright {
  color: blue;
  text-align: center;
  margin: 30px 0;
  font-family: "Inconsolata";
  font-size: 15px;
  padding: 5px 0;
}

.portfolio-sec {
  background-color: blue;
  padding-bottom: 0;
}
.portfolio-sec h2 {
  color: #fff;
  border-color: #fff;
  margin-top: 50px;
}

#portfolio {
  background-color: blue;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.project {
  width: 50%;
  height: 100%;
  padding: 30px;
  opacity: 0;
  text-align: center;
  font-family: "Inconsolata";
  font-size: 15px;
  transition: all .5s ease-in;
}

.project img {
  display: inline-block;
}

footer {
  color: #333;
  background-color: #fff;
  display: block;
  position: relative;
  left: 0;
  right: 0;
  bottom: 0;
  padding-bottom: 0px;
}
footer h2 {
  margin: 50px 0 50px 0;
}
footer #contacts {
  margin-bottom: 20px;
}
footer .contact-link {
  display: block;
  border: 1px solid #333;
  padding: 10px 0;
  text-align: center;
  font-size: 150%;
  color: #333;
  text-transform: uppercase;
  transition: all .25s ease-in-out;
}
footer .contact-link:hover {
  color: white;
  background-color: blue;
}

.awesome {
  border-color: blue;
  color: blue;
  background-image: radial-gradient(90deg, blue 50%, #99ccff 50%);
  background-position: 100%;
  background-size: 400%;
  transition: background 500ms ease-in-out;
}
.awesome:hover {
  background-position: 0;
}

@media screen and (max-width: 1210px) {
  .contact-link {
    margin: 5px auto;
  }

  #intro {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
  }
  .titanic {
    font-size: 50px;
  }
}
@media screen and (max-width: 768px) {
  .skill {
    width: 100%;
    height: 30vw;
  }

  .project {
    width: 100%;
    height: 100%;
  }

  .contact-link {
    width: 100%;
    margin: 15px auto;
  }
}
@media screen and (max-width: 480px) {
  .skill {
    width: 100%;
    height: 60vw;
  }

  .project {
    width: 100%;
    height: 100%;
  }

  .contact-link {
    width: 70%;
    margin: 15px auto;
  }
}
